# Rename or describe a collection

`PATCH /assets/collections/{id}` · Rivier · files

Rename or describe a collection.

- Scope: files:write
- Graphql: Mutation.filesCollectionUpdate
- Sdk: files.collection.update
- Cli: files collection update

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1,
      "maxLength": 120
    },
    "kind": {
      "type": "string",
      "enum": [
        "set",
        "character",
        "campaign",
        "kit",
        "series",
        "custom"
      ]
    },
    "description": {
      "type": "string",
      "maxLength": 1000
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PATCH 'https://api.rivier.ai/assets/collections/{id}' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "kind": "set",
  "description": "string"
}'
```
